# mypy-boto3-inspector<a id="mypy-boto3-inspector"></a>

[![PyPI - mypy-boto3-inspector](https://img.shields.io/pypi/v/mypy-boto3-inspector.svg?color=blue)](https://pypi.org/project/mypy-boto3-inspector)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-inspector.svg?color=blue)](https://pypi.org/project/mypy-boto3-inspector)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dw/mypy-boto3-inspector?color=blue)](https://pypistats.org/packages/mypy-boto3-inspector)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.Inspector 1.17.70](https://boto3.amazonaws.com/v1/documentation/api/1.17.70/reference/services/inspector.html#Inspector)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-buider 4.11.1](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-inspector docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_inspector/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-inspector](#mypy-boto3-inspector)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

## How to install<a id="how-to-install"></a>

Install `boto3-stubs` for `Inspector` service.

```bash
python -m pip install boto3-stubs[inspector]
```

## Usage<a id="usage"></a>

### VSCode<a id="vscode"></a>

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[inspector]` in your environment:
  `python -m pip install 'boto3-stubs[inspector]'`

Both type checking and auto-complete should work for `Inspector` service. No
explicit type annotations required, write your `boto3` code as usual.

### PyCharm<a id="pycharm"></a>

- Install `boto-stubs[inspector]` in your environment:
  `python -m pip install 'boto3-stubs[inspector]'`

Both type checking and auto-complete should work for `Inspector` service. No
explicit type annotations required, write your `boto3` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`boto3-stubs` submodules.

### Other IDEs<a id="other-ides"></a>

Not tested, but as long as your IDE support `mypy` or `pyright`, everything
should work.

### mypy<a id="mypy"></a>

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[inspector]` in your environment:
  `python -m pip install 'boto3-stubs[inspector]'`
- Run `mypy` as usual

Type checking should work for `Inspector` service. No explicit type annotations
required, write your `boto3` code as usual.

### pyright<a id="pyright"></a>

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[inspector]` in your environment:
  `python -m pip install 'boto3-stubs[inspector]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `Inspector` service. No explicit type annotations
required, write your `boto3` code as usual.

## Explicit type annotations<a id="explicit-type-annotations"></a>

### Client annotations<a id="client-annotations"></a>

`InspectorClient` provides annotations for `boto3.client("inspector")`.

```python
import boto3

from mypy_boto3_inspector import InspectorClient

client: InspectorClient = boto3.client("inspector")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: InspectorClient = session.client("inspector")
```

### Paginators annotations<a id="paginators-annotations"></a>

`mypy_boto3_inspector.paginator` module contains type annotations for all
paginators.

```python
from mypy_boto3_inspector import InspectorClient
from mypy_boto3_inspector.paginator import (
    ListAssessmentRunAgentsPaginator,
    ListAssessmentRunsPaginator,
    ListAssessmentTargetsPaginator,
    ListAssessmentTemplatesPaginator,
    ListEventSubscriptionsPaginator,
    ListExclusionsPaginator,
    ListFindingsPaginator,
    ListRulesPackagesPaginator,
    PreviewAgentsPaginator,
)

client: InspectorClient = boto3.client("inspector")

# Explicit type annotations are optional here
# Type should be correctly discovered by mypy and IDEs
# VSCode requires explicit type annotations
list_assessment_run_agents_paginator: ListAssessmentRunAgentsPaginator = client.get_paginator("list_assessment_run_agents")
list_assessment_runs_paginator: ListAssessmentRunsPaginator = client.get_paginator("list_assessment_runs")
list_assessment_targets_paginator: ListAssessmentTargetsPaginator = client.get_paginator("list_assessment_targets")
list_assessment_templates_paginator: ListAssessmentTemplatesPaginator = client.get_paginator("list_assessment_templates")
list_event_subscriptions_paginator: ListEventSubscriptionsPaginator = client.get_paginator("list_event_subscriptions")
list_exclusions_paginator: ListExclusionsPaginator = client.get_paginator("list_exclusions")
list_findings_paginator: ListFindingsPaginator = client.get_paginator("list_findings")
list_rules_packages_paginator: ListRulesPackagesPaginator = client.get_paginator("list_rules_packages")
preview_agents_paginator: PreviewAgentsPaginator = client.get_paginator("preview_agents")
```

### Literals<a id="literals"></a>

`mypy_boto3_inspector.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from mypy_boto3_inspector.literals import (
    AgentHealth,
    AgentHealthCode,
    AssessmentRunNotificationSnsStatusCode,
    AssessmentRunState,
    AssetType,
    FailedItemErrorCode,
    InspectorEvent,
    ListAssessmentRunAgentsPaginatorName,
    ListAssessmentRunsPaginatorName,
    ListAssessmentTargetsPaginatorName,
    ListAssessmentTemplatesPaginatorName,
    ListEventSubscriptionsPaginatorName,
    ListExclusionsPaginatorName,
    ListFindingsPaginatorName,
    ListRulesPackagesPaginatorName,
    Locale,
    PreviewAgentsPaginatorName,
    PreviewStatus,
    ReportFileFormat,
    ReportStatus,
    ReportType,
    ScopeType,
    Severity,
    StopAction,
)

def check_value(value: AgentHealth) -> bool:
    ...
```

### Typed dictionaries<a id="typed-dictionaries"></a>

`mypy_boto3_inspector.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from mypy_boto3_inspector.type_defs import (
    AddAttributesToFindingsResponseTypeDef,
    AgentFilterTypeDef,
    AgentPreviewTypeDef,
    AssessmentRunAgentTypeDef,
    AssessmentRunFilterTypeDef,
    AssessmentRunNotificationTypeDef,
    AssessmentRunStateChangeTypeDef,
    AssessmentRunTypeDef,
    AssessmentTargetFilterTypeDef,
    AssessmentTargetTypeDef,
    AssessmentTemplateFilterTypeDef,
    AssessmentTemplateTypeDef,
    AssetAttributesTypeDef,
    AttributeTypeDef,
    CreateAssessmentTargetResponseTypeDef,
    CreateAssessmentTemplateResponseTypeDef,
    CreateExclusionsPreviewResponseTypeDef,
    CreateResourceGroupResponseTypeDef,
    DescribeAssessmentRunsResponseTypeDef,
    DescribeAssessmentTargetsResponseTypeDef,
    DescribeAssessmentTemplatesResponseTypeDef,
    DescribeCrossAccountAccessRoleResponseTypeDef,
    DescribeExclusionsResponseTypeDef,
    DescribeFindingsResponseTypeDef,
    DescribeResourceGroupsResponseTypeDef,
    DescribeRulesPackagesResponseTypeDef,
    DurationRangeTypeDef,
    EventSubscriptionTypeDef,
    ExclusionPreviewTypeDef,
    ExclusionTypeDef,
    FailedItemDetailsTypeDef,
    FindingFilterTypeDef,
    FindingTypeDef,
    GetAssessmentReportResponseTypeDef,
    GetExclusionsPreviewResponseTypeDef,
    GetTelemetryMetadataResponseTypeDef,
    InspectorServiceAttributesTypeDef,
    ListAssessmentRunAgentsResponseTypeDef,
    ListAssessmentRunsResponseTypeDef,
    ListAssessmentTargetsResponseTypeDef,
    ListAssessmentTemplatesResponseTypeDef,
    ListEventSubscriptionsResponseTypeDef,
    ListExclusionsResponseTypeDef,
    ListFindingsResponseTypeDef,
    ListRulesPackagesResponseTypeDef,
    ListTagsForResourceResponseTypeDef,
    NetworkInterfaceTypeDef,
    PaginatorConfigTypeDef,
    PreviewAgentsResponseTypeDef,
    PrivateIpTypeDef,
    RemoveAttributesFromFindingsResponseTypeDef,
    ResourceGroupTagTypeDef,
    ResourceGroupTypeDef,
    RulesPackageTypeDef,
    ScopeTypeDef,
    SecurityGroupTypeDef,
    StartAssessmentRunResponseTypeDef,
    SubscriptionTypeDef,
    TagTypeDef,
    TelemetryMetadataTypeDef,
    TimestampRangeTypeDef,
)

def get_structure() -> AddAttributesToFindingsResponseTypeDef:
    return {
      ...
    }
```

## Versioning<a id="versioning"></a>

`mypy-boto3-inspector` version is the same as related `boto3` version and
follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

## Documentation<a id="documentation"></a>

All type annotations can be found in
[mypy-boto3-inspector docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_inspector/)

## Support and contributing<a id="support-and-contributing"></a>

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
